package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 就诊记录
 */
@Data
@TableName(value = "tb_visit")
@Accessors(chain = true)
public class Visit {

    private Long id;
    @ApiModelProperty(value = "患者ID")
    private Long patId;
    @ApiModelProperty(value = "就诊卡号")
    private Long cardId;
    @ApiModelProperty(value = "患者分类")
    private String patClass;
    @ApiModelProperty(value = "科室")
    private String department;
    @ApiModelProperty(value = "床位")
    private String bed;
    @ApiModelProperty(value = "医生代码")
    private String doctorCode;
    @ApiModelProperty(value = "主治医师")
    private String physician;
    @ApiModelProperty(value = "主管护士代码")
    private String nurseCode;
    @ApiModelProperty(value = "入院次数")
    private String hospitalizedNumber;
    @ApiModelProperty(value = "收费类别")
    private String feeCategory;
    @ApiModelProperty(value = "出院方式")
    private String dischargeMethod;
    @ApiModelProperty(value = "医疗机构代码")
    private String medicalCode;
    @ApiModelProperty(value = "在院状态")
    private String hospitalStatus;
    @ApiModelProperty(value = "门诊挂号状态")
    private String registrationStatus;
    @ApiModelProperty(value = "入院时间")
    private String admissionTime;
    @ApiModelProperty(value = "出院时间")
    private String dischargeTime;
    private String createBy;  //创建人
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Data createTime;  //创建时间
    private String updateBy;  //更新人
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Data updateTime;  //更新时间

}
