package com.ruoyi.web.work.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class VisitVoList {

    @ApiModelProperty(value = "患者ID")
    private Long id;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "主治医师")
    private String physician;

    @ApiModelProperty(value = "出院方式 1-治愈 2-好转 3 -稳定 4-恶化 5-死亡 9 -其他")
    private String dischargeMethod;

    @ApiModelProperty(value = " 在院状态 0 入院登记 1 病区分床 2 病人出区 3 病人出院 4 取消结算 5 进入 ICU 6 进入产房 7 转科状态 8 数据转出 9 入院作")
    private String hospitalStatus;

    @ApiModelProperty(value = "入院时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date admissionTime;

    @ApiModelProperty(value = "出院时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dischargeTime;

}
