package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.FollowRecord;
import com.ruoyi.web.work.domain.dto.FollowRecordDto;
import com.ruoyi.web.work.domain.dto.VisitDto;
import com.ruoyi.web.work.domain.vo.VisitVoList;

import java.util.List;

/**
 * @author lsw
 * @date 2024-07-18
 */
public interface IFollowRecordService extends IService<FollowRecord> {
    List<FollowRecord> selectList(FollowRecord followRecord);

    /**
     * 查看详情
     *
     * @param id
     * @return
     */
    AjaxResult detail(Long id);

    /**
     * 提交回访记录
     *
     * @param dto
     * @return
     */
    AjaxResult push(FollowRecordDto dto);


    /**
     * 根据医生账户查询该医生的患者
     * @param dto
     * @return
     */
    List<VisitVoList> selectVisitList(VisitDto dto);

    List<FollowRecord> selectAppList(FollowRecord followRecord);

    /**
     * 新增回访记录
     * @param followRecord
     * @return
     */
    AjaxResult add(FollowRecord followRecord);
}
